/*
Copyright  2012 DMD, LLC.  Government Purpose Rights, ALL OTHER RIGHTS RESERVED
This computer software was developed pursuant to Contract Number W9113M-08-D-0003-0007 with the US
Government. Unauthorized Use, Reproduction, Modification, or Disclosure is strictly prohibited.
*/

var checklistsData = function () {
    var _checklists;

    var _parseChecklists = function (xml) {
        var row;
        // Parse the SOAP response for the Contract Actoins list and dump the results
        // into an array.
        $(xml).find('[nodeName="z:row"]').each(function () {
            row = $(this);

            _checklists[_checklists.length] = {
                id: Number(row.xattr("ID")),
                title: row.xattr("Title"),
				mnemonic: row.xattr("Mnemonic"),
				commonName: row.xattr("CommonName"),
				phase: row.xattr("Phase"),
				display: row.xattr("DisplayInDropdown"),
				displayOrder: Number(row.xattr("DisplayOrder"))                
            };
        });
    };

    return {
                
		getById: function(id){
			_checklists = [];
			
			var xml = spsUtilities.getListItemById(id, "Checklists", "getById in checklists.js");
            if (xml !== "") {
                _parseChecklists(xml);
            }
            return {
                checklist: _checklists
            };
		},
		
		getAllItems: function(){
        	_checklists = []
        	var orderArray = [];
        	orderArray.push(["DisplayOrder", "Ascending"]);
        	var xml = spsUtilities.getListItemsOrderBy("Checklists", orderArray,"getById in checklists.js");
            if (xml !== "") {
                _parseChecklists(xml);
            }
            return {
                checklist: _checklists
            };
		}
        
    };
} ();
